MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029655Community[OCCT] OCCT:Modeling Algorithmspublic2018-03-28 09:172018-06-29 21:19
ReporterHayashi 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029655: [Regression to 6.9.1] Distance between cylinder and straight line
DescriptionThe attached face and edge intersect but the distance is large.

The face is built on a bspline surface having cylindrical form.
Steps To ReproduceTest case "bugs modalg_7 bug29655"
TagsNo tags attached.
Test case numberbugs modalg_7 bug29655
Attached Files? file icon bug29655.brep (11,645 bytes) 2018-04-17 16:08

- Relationships

-  Notes
(0075118)
git (administrator)
2018-04-02 17:06

Branch CR29655 has been created by ifv.

SHA-1: cbd812ccc0ef67aaf5a3b46361e284639b95c423


Detailed log of new commits:

Author: ifv
Date: Mon Apr 2 17:05:51 2018 +0300

    Test commit
(0075261)
git (administrator)
2018-04-10 11:37

Branch CR29655 has been updated forcibly by ifv.

SHA-1: 70e0284af8a8b100a39f46a7dab880eaf72d25d7
(0075271)
git (administrator)
2018-04-10 13:41

Branch CR29655 has been updated forcibly by ifv.

SHA-1: bce6ddbe0eb00d1b3a09d4c90c08894644d3b479
(0075482)
git (administrator)
2018-04-17 16:18

Branch CR29655 has been updated forcibly by ifv.

SHA-1: 25679c66fbf5012b6bc1a2aaa2a4c9dc5ce2611a
(0075534)
ifv (developer)
2018-04-19 10:04

CR29655 is ready for review
Test results CR29655-master-IFV
(0075538)
msv (developer)
2018-04-19 11:28

New compilation warnings:

15>c:\builds\cr29655-master-ifv\occt_src\src\extrema\extrema_extcs.cxx(170) : warning C4701: potentially uninitialized local variable 'zmax' used
15>c:\builds\cr29655-master-ifv\occt_src\src\extrema\extrema_extcs.cxx(168) : warning C4701: potentially uninitialized local variable 'ymax' used
15>c:\builds\cr29655-master-ifv\occt_src\src\extrema\extrema_extcs.cxx(167) : warning C4701: potentially uninitialized local variable 'xmax' used
15>c:\builds\cr29655-master-ifv\occt_src\src\extrema\extrema_extcs.cxx(166) : warning C4701: potentially uninitialized local variable 'zmin' used
15>c:\builds\cr29655-master-ifv\occt_src\src\extrema\extrema_extcs.cxx(166) : warning C4701: potentially uninitialized local variable 'ymin' used
15>c:\builds\cr29655-master-ifv\occt_src\src\extrema\extrema_extcs.cxx(166) : warning C4701: potentially uninitialized local variable 'xmin' used
(0075541)
git (administrator)
2018-04-19 12:07

Branch CR29655 has been updated forcibly by ifv.

SHA-1: 1f55bcd4d9f80278aa4834dd077ea4466b17d0df
(0075548)
ifv (developer)
2018-04-19 13:31

CR29655 updated
(0075550)
msv (developer)
2018-04-19 15:10

Reviewed.
(0076181)
bugmaster (administrator)
2018-05-23 16:07

Combination -
OCCT branch : CR29655 SHA - 1f55bcd4d9f80278aa4834dd077ea4466b17d0df
Products branch : master SHA - 8471189e8649026d76950924f8ec2b4878cba528
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18286.599999999984 / 18243.73999999987 [+0.23%]
Products
Total CPU difference: 7482.650000000043 / 7495.350000000049 [-0.17%]
Windows-64-VC10:
OCCT
Total CPU difference: 17971.658402198587 / 18049.78370299853 [-0.43%]
Products
Total CPU difference: 8302.529220999866 / 8209.739826199884 [+1.13%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0076254)
git (administrator)
2018-05-24 18:13

Branch CR29655 has been deleted by kgv.

SHA-1: 1f55bcd4d9f80278aa4834dd077ea4466b17d0df

- Related Changesets
occt: master 4563cf3e
Timestamp: 2018-04-02 14:05:51
Author: abv
Committer: abv
Details ] Diff ]
0029655: [Regression to 6.9.1] Distance between cylinder and straight line

Trimming line by corner points of surface bounding box is added to reduce rang of line
Test case added
mod - src/Extrema/Extrema_ExtCS.cxx Diff ] File ]
add - tests/bugs/modalg_7/bug29655 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-03-28 09:17 Hayashi New Issue
2018-03-28 09:17 Hayashi Assigned To => msv
2018-03-28 09:17 Hayashi File Added: near_fe.zip
2018-03-28 09:58 msv Assigned To msv => ifv
2018-03-28 09:58 msv Status new => assigned
2018-03-28 09:58 msv Target Version => 7.4.0*
2018-03-28 09:58 msv Summary Distance between cylinder and straight line => [Regression to 6.9.1] Distance between cylinder and straight line
2018-03-28 10:00 msv Steps to Reproduce Updated View Revisions
2018-04-02 17:06 git Note Added: 0075118
2018-04-10 11:37 git Note Added: 0075261
2018-04-10 13:41 git Note Added: 0075271
2018-04-17 16:08 ifv File Added: bug29655.brep
2018-04-17 16:18 git Note Added: 0075482
2018-04-19 10:00 ifv File Deleted: near_fe.zip
2018-04-19 10:02 ifv Steps to Reproduce Updated View Revisions
2018-04-19 10:04 ifv Note Added: 0075534
2018-04-19 10:04 ifv Assigned To ifv => msv
2018-04-19 10:04 ifv Status assigned => resolved
2018-04-19 11:13 msv Description Updated View Revisions
2018-04-19 11:28 msv Note Added: 0075538
2018-04-19 11:28 msv Assigned To msv => ifv
2018-04-19 11:28 msv Status resolved => assigned
2018-04-19 12:07 git Note Added: 0075541
2018-04-19 13:31 ifv Note Added: 0075548
2018-04-19 13:31 ifv Assigned To ifv => msv
2018-04-19 13:31 ifv Status assigned => resolved
2018-04-19 15:10 msv Note Added: 0075550
2018-04-19 15:10 msv Assigned To msv => bugmaster
2018-04-19 15:10 msv Status resolved => reviewed
2018-04-19 15:11 msv Target Version 7.4.0* => 7.3.0
2018-05-23 15:41 bugmaster Test case number => bugs modalg_7 bug29655
2018-05-23 16:07 bugmaster Note Added: 0076181
2018-05-23 16:07 bugmaster Status reviewed => tested
2018-05-24 16:02 abv Changeset attached => occt master 4563cf3e
2018-05-24 16:02 abv Assigned To bugmaster => abv
2018-05-24 16:02 abv Status tested => verified
2018-05-24 16:02 abv Resolution open => fixed
2018-05-24 18:13 git Note Added: 0076254
2018-06-29 21:13 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker